Bug 964117 - Unable to git push a jbossas application after migration
Unable to git push a jbossas application after migration
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2013-05-17 05:26 EDT by Jianwei Hou
Modified: 2015-05-14 19:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-11 00:05:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2013-05-17 05:26:11 EDT
Description of problem:
After migration, errors were seen while git pushing an existing jbossas application

Version-Release number of selected component (if applicable):
After ugpraded from devenv-stage_353 to devenv_3235

How reproducible:

Steps to Reproduce:
1. Launch devenv-stage_353
2. Prepare test data
3. Add V1 marker to node
#touch /var/lib/openshift/.settings/v1_cartridge_format
4. scp -r ~/devenv-local and /etc/yum.repos.d/* from devenv_3235 instance to same location on devenv-stage_353 instance
5. yum update -y --enablerepo devenv-local
6. Run oo-admin-clear-pending-ops
7. Remove the v1 marker from the node
#rm -f /var/lib/openshift/.settings/v1_cartridge_format
8. Clear the broker cache
#rake tmp:clear
9. Restart the rhc-broker and mcollective
10. Run migrate-mongo-2.0.28 
11. Run rhc-admin-migrate --version 2.0.28
12. Clone a jbossas app to local, make some change and git push

Actual results:
After step 12: 
Counting objects: 11, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (5/5), done.
Writing objects: 100% (6/6), 431 bytes, done.
Total 6 (delta 4), reused 0 (delta 0)
remote: Stopping jbossas cart
remote: Sending SIGTERM to jboss:1640 ...
remote: Stopping jbossas cart
remote: /var/lib/openshift/5195c17e196c200884000010/jbossas//bin/util: line 14: /var/lib/openshift/5195c17e196c200884000010/jbossas//env/OPENSHIFT_JBOSSAS_PATH_ELEMENT: Permission denied
remote: An error occured executing the 'postreceive' command. For more details about the problem, try running the command again with the '--trace' option.
To ssh://5195c17e196c200884000010@as1-jhou.dev.rhcloud.com/~/git/as1.git/
   180ddae..896c438  master -> master

Expected results:
Should be pushed and built successfully.

Additional info:
Comment 1 Dan Mace 2013-05-17 17:58:32 EDT
Please re-test in devenv_3242+.
Comment 2 Jianwei Hou 2013-05-20 04:29:37 EDT
Verified migration on devenv_3247

The jbossas application can be git pushed successfully, mark as verified.

remote: Downloaded: http://mirror1.ops.rhcloud.com:80/nexus/content/groups/public/com/thoughtworks/xstream/xstream/1.3.1/xstream-1.3.1.jar (422 KB at 1831.7 KB/sec)
remote: [INFO] Packaging webapp
remote: [INFO] Assembling webapp [as1] in [/var/lib/openshift/258982399491053069533184/app-root/runtime/repo/target/as1]
remote: [INFO] Processing war project
remote: [INFO] Copying webapp resources [/var/lib/openshift/258982399491053069533184/app-root/runtime/repo/src/main/webapp]
remote: [INFO] Webapp assembled in [185 msecs]
remote: [INFO] Building war: /var/lib/openshift/258982399491053069533184/app-root/runtime/repo/deployments/ROOT.war
remote: [INFO] WEB-INF/web.xml already added, skipping
remote: [INFO] ------------------------------------------------------------------------
remote: [INFO] ------------------------------------------------------------------------
remote: [INFO] Total time: 24.563s
remote: [INFO] Finished at: Mon May 20 03:14:26 EDT 2013
remote: [INFO] Final Memory: 6M/15M
remote: [INFO] ------------------------------------------------------------------------
remote: Deploying JBoss
remote: Starting jbossas cart
remote: Found listening port
To ssh://258982399491053069533184@as1-jhou.dev.rhcloud.com/~/git/as1.git/


Note You need to log in before you can comment on or make changes to this bug.